HomePhabricator

[lldb] Adapt for NetBSD-9.99.30 ptrace(2) API changes

Authored by krytarowski on Dec 24 2019, 11:36 AM.

Description

[lldb] Adapt for NetBSD-9.99.30 ptrace(2) API changes

Switch from PT_LWPINFO to PT_LWPSTATUS/PT_LWPNEXT.

Keep compat support for < 9.99.30.

No functional change intended.

Details

Committed
krytarowskiDec 24 2019, 11:36 AM
Parents
rG4b8232d4f0bf: [compiler-rt] Adapt for ptrace(2) changes in NetBSD-9.99.30
Branches
Unknown
Tags
Unknown